Unit tde10e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE10E_p, DE10E_p;

function tde10e: String;

implementation

function tde10e: String;
var
M,_i,IERR :Integer;
H,XN,XK,P,HMIN,EPS :Extended;
RA :Array [0..7] of Extended;
Y :Array [0..1] of Extended;
begin
Result := '';  {   }
M := 2;
XN := 0.75*3.14159265358979;
H := 0.01;
Y[0] := Sqrt(2.e0)/2.e0;
Y[1] := -Y[0];
XK := 3.14159265358979e0;
HMIN := 1.E-4;
EPS := 1.E-5;
P := 1.E-7;
XN := 0.75e0*XK;
DE10E(FDE10E,M,XN,Y,XK,HMIN,EPS,P,H,Y,RA,IERR);
Result := Result + Format('%s',['      XF=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['      YF(1)']);
Result := Result + Format('%s',['                        YF(2)']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde10e',Result);  {     tde10e.res }
exit;
end;

end.
